package com.ruoyi.system.service.impl;

import java.util.Date;
import java.util.List;

import com.ruoyi.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OrderOperationLogMapper;
import com.ruoyi.system.domain.OrderOperationLog;
import com.ruoyi.system.service.IOrderOperationLogService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-05-17
 */
@Service
public class OrderOperationLogServiceImpl implements IOrderOperationLogService 
{
    @Autowired
    private OrderOperationLogMapper orderOperationLogMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public OrderOperationLog selectOrderOperationLogById(String id)
    {
        return orderOperationLogMapper.selectOrderOperationLogById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param orderOperationLog 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<OrderOperationLog> selectOrderOperationLogList(OrderOperationLog orderOperationLog)
    {
        return orderOperationLogMapper.selectOrderOperationLogList(orderOperationLog);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param orderOperationLog 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertOrderOperationLog(String status,Long orderId,String content,String operationUser,String operation)
    {
        OrderOperationLog operationLog = new OrderOperationLog();
        operationLog.setStatus(status);
        operationLog.setOrderId(String.valueOf(orderId));
        operationLog.setContent(content);
        operationLog.setCreateAt(new Date());
        if(StringUtils.isEmpty(operationUser)){
            operationLog.setOperationUser("接口");
        }
        if(StringUtils.isEmpty(operation)){
            operationLog.setOperation("同步信息");
        }
        return orderOperationLogMapper.insertOrderOperationLog(operationLog);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param orderOperationLog 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateOrderOperationLog(OrderOperationLog orderOperationLog)
    {
        return orderOperationLogMapper.updateOrderOperationLog(orderOperationLog);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteOrderOperationLogByIds(String[] ids)
    {
        return orderOperationLogMapper.deleteOrderOperationLogByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteOrderOperationLogById(String id)
    {
        return orderOperationLogMapper.deleteOrderOperationLogById(id);
    }
}
